Subject: [bug#38108] [PATCH] doc: Fix typos.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 09 Nov 2019 22:53:24 +0100

Hello!

zimoun <[email-masked]> skribis:

> On Fri, 8 Nov 2019 at 23:41, Ludovic Courtès <[email-masked]> wrote:
>
>> So, is it this simple?  :-)
>
> The real hard part is about quoting mark: ." or ". ;-)
> The Guardian has some explanations.
> https://www.theguardian.com/guardian-observer-style-guide-q
> https://www.theguardian.com/media/mind-your-language/2011/may/19/mind-your-language-punctuation-quotations

Oh.  :-)

>> (I wanted to check the Chicago Manual of Style but it’s now behind a
>> paywall.)
>
> I have gone with the free trial ;-)
>
>
> 6: Punctuation
> 6.13: Periods in relation to parentheses and brackets

You’ve convinced me that most or all of the things you fixed needed fixing!

>> In short, it looks like most or all of the changes you made are
>> “correct”, but you might want to double-check, also to account for the
>> typo Giovanni noticed.
>
> When searching inspiration for another commit message, I reached this
> commit ba7ea5ce33 changing some '.)' to ').'.

Fun.

> Well, I will triple check because it is tricky and update the patch.

Sure; do send an update when you think it’s ready!

>> I think this will invalidate translations of the affected paragraphs.
>> Is that a big deal, Julien, or is it easily resolved?
>
>>>From a quick check, it is already resolved using the correct french
> style (from my knowledge). But I have not checked everything in the
> manual nor in the "Lexique des règles typographiques en usage à
> l'Imprimerie nationale". No idea about the other translations.

Sorry, what I mean is not that the French translation needed to be
adjusted, but rather that changing the English source will make the
translated versions “outdated” from the point of view of xgettext, which
is annoying.

Thanks,
Ludo’.